Index: XIOS/dev/branch_yushan/src/test/test_client.f90
===================================================================
--- XIOS/dev/branch_yushan/src/test/test_client.f90	(revision 1036)
+++ XIOS/dev/branch_yushan/src/test/test_client.f90	(revision 1037)
@@ -35,13 +35,14 @@
 
   CALL MPI_INIT(ierr)
-
   CALL init_wait
-
-!!! XIOS Initialization (get the local communicator)
-
+  
   CALL xios_initialize(id,return_comm=comm)
+  
+  print*, "test_client xios_initialize OK"
 
   CALL MPI_COMM_RANK(comm,rank,ierr)
+  print*, "test_client MPI_COMM_RANK OK"
   CALL MPI_COMM_SIZE(comm,size,ierr)
+  
 
   DO j=1,nj_glo
@@ -70,9 +71,15 @@
   lat(:,:)=lat_glo(ibegin+1:iend+1,jbegin+1:jend+1)
   field_A(1:ni,1:nj,:)=field_A_glo(ibegin+1:iend+1,jbegin+1:jend+1,:)
+  
+  CALL xios_context_initialize("test",comm)
 
-  CALL xios_context_initialize("test",comm)
   CALL xios_get_handle("test",ctx_hdl)
+  print*, "Client xios_get_handle OK"
   CALL xios_set_current_context(ctx_hdl)
-
+  print*, "Client xios_set_current_handle OK"  
+  
+  
+  
+  
   CALL xios_get_calendar_type(calendar_type)
   PRINT *, "calendar_type = ", calendar_type
@@ -91,7 +98,8 @@
   CALL xios_add_child(file_hdl,field_hdl)
   CALL xios_set_attr(field_hdl,field_ref="field_A_zoom",name="field_C")
-
+  
   dtime%second = 3600
   CALL xios_set_timestep(dtime)
+  print*, "Client xios_set_timestep OK"  
 
   ! The calendar is created as soon as the calendar type is defined. This way
@@ -119,20 +127,26 @@
   ni=0 ; lonvalue(:,:)=0;
   CALL xios_get_domain_attr("domain_A",ni=ni,lonvalue_2D=lonvalue)
-
   print *,"ni",ni
-  print *,"lonvalue",lonvalue;
+  !print *,"lonvalue",lonvalue;
 
   CALL xios_is_defined_field_attr("field_A",enabled=ok)
   PRINT *,"field_A : attribute enabled is defined ? ",ok
+  
   CALL xios_close_context_definition()
+  print*, "xios_close_context_definition OK"  
 
   PRINT*,"field field_A is active ? ",xios_field_is_active("field_A")
-  DO ts=1,24*10
+  !DO ts=1,24*10
+  DO ts=1,24
     CALL xios_update_calendar(ts)
+    print*, "xios_update_calendar OK, ts = ", ts
     CALL xios_send_field("field_A",field_A)
-    CALL wait_us(5000) ;
+    print*, "xios_send_field OK, ts = ", ts
+    CALL wait_us(5000)
   ENDDO
+  
 
   CALL xios_context_finalize()
+  print*, "xios_context_finalize OK"  
 
   DEALLOCATE(lon, lat, field_A, lonvalue)
Index: XIOS/dev/branch_yushan/src/test/test_regular.f90
===================================================================
--- XIOS/dev/branch_yushan/src/test/test_regular.f90	(revision 1036)
+++ XIOS/dev/branch_yushan/src/test/test_regular.f90	(revision 1037)
@@ -18,5 +18,5 @@
   INTEGER :: comm  
   INTEGER :: ierr
-  INTEGER :: sizeComm, rank    ! SIZE is a fortran function
+  INTEGER :: size, rank
 
   INTEGER :: nlon = 100 
@@ -94,19 +94,19 @@
 
   CALL MPI_COMM_RANK(comm,rank,ierr)
-  CALL MPI_COMM_SIZE(comm,sizeComm,ierr)
+  CALL MPI_COMM_SIZE(comm,size,ierr)
 
-  IF (MOD(ncell, sizeComm) == 0) THEN
-    ni = ncell/sizeComm
+  IF (MOD(ncell, size) == 0) THEN
+    ni = ncell/size
     ibegin = rank*ni
   ELSE
-    IF (rank < MOD(ncell, sizeComm)) THEN
-      ni = ncell/sizeComm + 1
-      ibegin = rank*(ncell/sizeComm + 1)
+    IF (rank < MOD(ncell, size)) THEN
+      ni = ncell/size + 1
+      ibegin = rank*(ncell/size + 1)
     ELSE
-      ni = ncell/sizeComm
-      IF (rank == MOD(ncell, sizeComm)) THEN
-        ibegin = rank*(ncell/sizeComm + 1)
+      ni = ncell/size
+      IF (rank == MOD(ncell, size)) THEN
+        ibegin = rank*(ncell/size + 1)
       ELSE
-        ibegin = MOD(ncell,sizeComm)*(ncell/sizeComm + 1) + (rank-MOD(ncell,sizeComm))*ncell/sizeComm
+        ibegin = MOD(ncell,size)*(ncell/size + 1) + (rank-MOD(ncell,size))*ncell/size
       END IF
     END IF
@@ -118,8 +118,8 @@
   ALLOCATE(bounds_lat(4,ni))
   ALLOCATE(field_temp(ni,ntime)) 
-  lon = lon_glo(1+ibegin:ibegin+ni)
-  lat = lat_glo(1+ibegin:ibegin+ni)
-  bounds_lon(:,:) = bounds_lon_glo(:,1+ibegin:ibegin+ni)
-  bounds_lat(:,:) = bounds_lat_glo(:,1+ibegin:ibegin+ni)
+  lon = lon_glo(1+ibegin:1+ibegin+ni)
+  lat = lat_glo(1+ibegin:1+ibegin+ni)
+  bounds_lon(:,:) = bounds_lon_glo(:,1+ibegin:1+ibegin+ni)
+  bounds_lat(:,:) = bounds_lat_glo(:,1+ibegin:1+ibegin+ni)
   field_temp(:,:) = rank
 
Index: XIOS/dev/branch_yushan/src/test/test_remap.f90
===================================================================
--- XIOS/dev/branch_yushan/src/test/test_remap.f90	(revision 1036)
+++ XIOS/dev/branch_yushan/src/test/test_remap.f90	(revision 1037)
@@ -91,7 +91,6 @@
     IF (MOD(i,10)==0) THEN
       src_mask_2D(i)=.FALSE.
-      src_field_2D(i) = 100000
     ELSE
-      src_mask_2D(i)=.TRUE.      
+      src_mask_2D(i)=.TRUE.
     ENDIF
   ENDDO
@@ -100,16 +99,9 @@
     lval(i) = i*100
     src_field_pression(:,i) = i * 100
-    IF (MOD(i,3)==0) THEN
-      ! src_field_pression(:,i) = 100000
-      src_field_3D(:,i) = 100000
-    ELSE
-      ! src_field_pression(:,i) = i * 100
-      src_field_3D(:,i) = src_field_3D(:,i) + i * 10 
-    ENDIF
-    ! src_field_3D(:,i) = src_field_3D(:,i) + i * 10    
+    src_field_3D(:,i) = src_field_3D(:,i) + i * 10    
   ENDDO
 
   DO i=1,llm2
-    src_field_4D(:,:,i) = src_field_3D(:,:) + i * 100
+    src_field_4D(:,:,i) = src_field_3D(:,:)
   ENDDO
 
@@ -192,5 +184,4 @@
     CALL xios_send_field("src_field_2D_clone",src_field_2D)
     CALL xios_send_field("src_field_3D",src_field_3D)
-    CALL xios_send_field("src_field_3D_clone",src_field_3D)
     CALL xios_send_field("src_field_4D",src_field_4D)
     CALL xios_send_field("src_field_3D_pression",src_field_pression)
